Package org.opentcs.access.to.model

# Class LocationTypeCreationTO.Layout

java.lang.Object
org.opentcs.access.to.model.LocationTypeCreationTO.Layout

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing class:
  LocationTypeCreationTO

    public static class LocationTypeCreationTO.Layout
    extends java.lang.Object
    implements java.io.Serializable

Contains information regarding the grahical representation of a location type.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Layout()` | Creates a new instance.
  `Layout​(LocationRepresentation locationRepresentation)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `LocationRepresentation` | `getLocationRepresentation()` | Returns the location representation to use for locations with this location type.
  `java.lang.String` | `toString()` |
  `LocationTypeCreationTO.Layout` | `withLocationRepresentation​(LocationRepresentation locationRepresentation)` | Creates a copy of this object, with the given location representation.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Layout

    public Layout()
    Creates a new instance.

  - ### Layout

    public Layout​(LocationRepresentation locationRepresentation)
    Creates a new instance.
    Parameters:
      `locationRepresentation` - The location representation to use for locations with this location type.

- ## Method Details

  - ### getLocationRepresentation

    public LocationRepresentation getLocationRepresentation()
    Returns the location representation to use for locations with this location type.
    Returns:
      The location representation to use for locations with this location type.

  - ### withLocationRepresentation

    public LocationTypeCreationTO.Layout withLocationRepresentation​(LocationRepresentation locationRepresentation)
    Creates a copy of this object, with the given location representation.
    Parameters:
      `locationRepresentation` - The value to be set in the copy.
    Returns:
      A copy of this object, differing in the given value.

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`